Package org.eclipse.jface.text.contentassist

# Class BoldStylerProvider

java.lang.Object
org.eclipse.jface.text.contentassist.BoldStylerProvider

public final class BoldStylerProvider extends Object
Provides `StyledString.Styler` that applies bold style on the given font.

Since:
  3.11

## Constructor Summary

Constructors
Constructor
Description
`BoldStylerProvider(Font font)`
Creates a `BoldStylerProvider` instance which uses the given `font`.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Disposes the bold font created for the styler.
`Font`
`getBoldFont()`
Creates (if not already done) and returns the bold font used by the styler to apply the bold style.
`StyledString.Styler`
`getBoldStyler()`
Returns a `StyledString.Styler` that applies bold style to the given `TextStyle`'s font.
`Font`
`getFont()`
Returns the font used by the styler to create the bold font.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BoldStylerProvider

public BoldStylerProvider(Font font)
Creates a `BoldStylerProvider` instance which uses the given `font`.

Parameters:
  `font` - the font to use for creating the bold font

## Method Details

### dispose

public void dispose()
Disposes the bold font created for the styler.

### getBoldStyler

public StyledString.Styler getBoldStyler()
Returns a `StyledString.Styler` that applies bold style to the given `TextStyle`'s font.

Returns:
  a bold styler

### getBoldFont

public Font getBoldFont()
Creates (if not already done) and returns the bold font used by the styler to apply the bold style.

Note: The callers must not cache and re-use the returned font outside the current call.

Returns:
  the bold font used by the styler

### getFont

public Font getFont()
Returns the font used by the styler to create the bold font.

Returns:
  the font used for creating the bold font